#include <owl\pch.h>
#pragma hdrstop
#include "aboutscr.rc"
#include "aboutscr.h"
//////////////////////////////////
// The main window class.
//////////////////////////////////
class TWndw : public TFrameWindow
{
public:
  TWndw(TWindow *parent, const char far *title);

protected:
  void CmHelpAbout();

DECLARE_RESPONSE_TABLE(TWndw);
};

DEFINE_RESPONSE_TABLE1(TWndw, TWindow)
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
END_RESPONSE_TABLE;

///////////////////////////////////////////////////////////
// TWndw::TWndw()
///////////////////////////////////////////////////////////
TWndw::TWndw(TWindow *parent, const char far *title):
      TFrameWindow(parent, title)
{
  AssignMenu(MENU_1);
  // Perform object initialization here.
}

void TWndw::CmHelpAbout()
{
  (new TDlgAbout(this, ID_ABOUT))->Execute();
}

//////////////////////////////////
// The application class.
//////////////////////////////////
class TApp : public TApplication
{
public:
  TApp(): TApplication() {}
  void InitMainWindow();
};

///////////////////////////////////////////////////////////
// TApp::InitMainWindow()
///////////////////////////////////////////////////////////
void TApp::InitMainWindow()
{
  TFrameWindow *wndw = new TWndw(0, "Help|About Scroll");
  SetMainWindow(wndw);
}

///////////////////////////////////////////////////////////
// OwlMain()
///////////////////////////////////////////////////////////
int OwlMain(int, char*[])
{
  return TApp().Run();
}


